#!/bin/bash
url='https://api.summer.test:8443/v1/marigold/auth/mfa'
accjson='Accept: application/json'
ctjson='Content-Type: application/json'
bear='Authorization: Bearer'
a=$(curl -ksS -X POST "$url" -H "$accjson")
access=$(cat "acc.json" | jq '.access_token' -r)
refresh=$(cat "acc.json" | jq '.refresh_token' -r)

read -p "Digits: " digits
echo

a=$(jo digits=$digits | curl -ksS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $access" --data @-)
unset -v digits
qr=$(echo "$a" | jq '.qr' -r)
token=$(echo "$a" | jq '.token' -r)

echo "<html><head><title>QR</title></head><body><img src=\"$qr\" /></body></html>" > qr.html
echo "Saved 'qr.html' with an embedded image"

read -p "MFA: " mfa
echo

a=$(echo "{\"mfa\":\"$mfa\"}" | curl -kvsS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $token" --data @-)
unset -v mfa

echo "Output: $a"
