#!/bin/bash
url='https://api.summer.test:8443/v1/marigold/auth/login'
accjson='Accept: application/json'
ctjson='Content-Type: application/json'
bear='Authorization: Bearer'
a=$(curl -ksS -X POST "$url" -H "$accjson")
next=$(echo "$a" | jq '.next' -r)
token=$(echo "$a" | jq '.token' -r)

if [[ "$next" = "login" ]]; then
  read -p "Enter e-mail: " em
  read -sp "Enter password: " pw
  echo

  unset -v a
  a=$(jo email="$em" password="$pw" | curl -ksS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $token" --data @-)
  unset -v pw
  next=$(echo "$a" | jq '.next' -r)
  token=$(echo "$a" | jq '.token' -r)

  if [[ "$next" = "email" ]]; then
    read -p "Enter e-mail code: " ecode
    echo

    unset -v a
    a=$(echo "{\"code\":\"$ecode\"}" | curl -ksS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $token" --data @-)
    unset -v ecode
    next=$(echo "$a" | jq '.next' -r)
    token=$(echo "$a" | jq '.token' -r)
  fi

  if [[ "$next" = "mfa" ]]; then
    read -p "Enter MFA code: " mfa
    echo

    unset -v a
    a=$(echo "{\"mfa\":\"$mfa\"}" | curl -ksS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $token" --data @-)
    unset -v mfa
    next=$(echo "$a" | jq '.next' -r)
    token=$(echo "$a" | jq '.token' -r)
  fi

  accessToken=$(echo "$a" | jq '.access_token' -r)
  refreshToken=$(echo "$a" | jq '.refresh_token' -r)
  jo access_token="$accessToken" refresh_token="$refreshToken" > "acc.json"

  if [[ "$accessToken" = "null" ]]; then
    echo "Login failed!!"
    message=$(echo "$a" | jq '.message' -r)
    logId=$(echo "$a" | jq '.log_id' -r)
    echo "Message: $message"
    echo "Log ID: $logId"
  else
    echo "Login success!!!"
    cat acc.json | jq
  fi
else
  echo "Request failed: $a"
fi
