FROM golang:1.19 AS build

WORKDIR /go/src/app
COPY ../.. .

RUN go get -d -v ./...
RUN ./scripts/build.sh "/bin/azalea" "./cmd/azalea/" "DEBUG"

FROM debian:latest
RUN apt-get update && apt-get install -y inkscape \
    && rm -rf /var/lib/apt/lists/*
WORKDIR /root
COPY --from=build /bin/azalea .

CMD ["./azalea"]
