package domain_checker

import (
	"github.com/stretchr/testify/assert"
	"sync"
	"testing"
)

func TestDomainChecker_IsValid(t *testing.T) {
	d := &DomainChecker{
		domainSync: &sync.RWMutex{},
		domainMap:  map[string]struct{}{"summer.test": {}},
	}
	assert.True(t, d.IsValid("this.is.a.test.summer.test"))
	assert.True(t, d.IsValid("summer.test"))
	assert.False(t, d.IsValid("test"))
	assert.False(t, d.IsValid("not-summer.test"))
}
