package api

import (
	"code.mrmelon54.com/melon/summer/pkg/api"
	"code.mrmelon54.com/melon/summer/pkg/api/crud"
	"code.mrmelon54.com/melon/summer/pkg/tables/certificate"
	"xorm.io/xorm"
)

type CertPrivate struct {
	Id          uint64 `json:"id"`
	Certificate string `json:"certificate"`
	Key         string `json:"key"`
}

type certPrivateProvider struct {
	db *xorm.Engine
}

func (c certPrivateProvider) Find() ([]CertPrivate, error) {
	return nil, crud.ErrMethodNotAllowed
}

func (c certPrivateProvider) Add(_ CertPrivate) (CertPrivate, error) {
	return CertPrivate{}, crud.ErrMethodNotAllowed
}

func (c certPrivateProvider) Get(id string) (CertPrivate, bool, error) {
	cert, err := certificate.GetCertForDomain(c.db, id)
	if err != nil {
		return CertPrivate{}, false, api.ErrParamMissing
	}
	return CertPrivate{
		Id:          cert.Id,
		Certificate: string(cert.CertificateBytes),
		Key:         string(cert.KeyBytes),
	}, true, nil
}

func (c certPrivateProvider) Put(_ string, _ CertPrivate) error {
	return crud.ErrMethodNotAllowed
}

func (c certPrivateProvider) Patch(_ string, _ CertPrivate) error {
	return crud.ErrMethodNotAllowed
}

func (c certPrivateProvider) Delete(_ string) error {
	return crud.ErrMethodNotAllowed
}
