//go:build DEBUG

package quick_user

import (
	accountServer "code.mrmelon54.com/melon/summer/pkg/account-server"
	"code.mrmelon54.com/melon/summer/pkg/tables/user"
	"code.mrmelon54.com/melon/summer/pkg/utils"
	"log"
	"time"
	"xorm.io/xorm"
)

func QuickUser(db *xorm.Engine) {
	log.Println("[QuickUser()] Generating development admin user for testing marigold")

	count, err := db.Count(&user.User{})
	utils.Check("[QuickUser()] Failed to count users:", err)
	if count != 0 {
		return
	}

	// This password is meant to be visible for debugging purposes
	pw, err := accountServer.HashPassword("Password123!")
	utils.Check("[QuickUser()] Failed to hash password:", err)

	_, err = db.Insert(&user.User{
		Email:         "john@example.com",
		Username:      "john",
		Password:      pw,
		Visibility:    utils.PByte(1),
		Gender:        utils.PString("male"),
		Pronouns:      utils.PByte(1),
		Birthday:      time.Date(2009, time.November, 10, 23, 0, 0, 0, time.UTC),
		DisplayName:   "John Doe",
		LastOnline:    time.Now(),
		MfaActive:     utils.PBool(false),
		EmailVerified: utils.PBool(true),
		EnableRefresh: utils.PBool(true),
	})
	utils.Check("[QuickUser()] Failed to add user:", err)
}
