package account_server

import (
	"code.mrmelon54.com/melon/summer/pkg/tables/user"
)

type LoginFlow struct {
	User *user.User
}

type LoginFlowResp struct {
	Next  string `json:"next"`
	Token string `json:"token"`
}

type LoginFlowInput struct {
	Username string `json:"username"`
	Password string `json:"password"`
	Mfa      string `json:"mfa"`
	Code     string `json:"code"`
}

type LoginSuccessResp struct {
	AccessToken  string `json:"access_token"`
	RefreshToken string `json:"refresh_token"`
}

type MfaFlowResp struct {
	Qr    string `json:"qr"`
	Token string `json:"token"`
}

type MfaFlowInput struct {
	Digits int    `json:"digits"`
	Mfa    string `json:"mfa"`
}

type RegisterFlowInput struct {
	Email          string `json:"email"`
	Username       string `json:"username"`
	Password       string `json:"password"`
	RepeatPassword string `json:"repeatPassword"`
	DisplayName    string `json:"displayName"`
	Pronouns       byte   `json:"pronouns"`
	Gender         string `json:"gender"`
	Birthday       string `json:"birthday"`
}

type EmailTemplateStruct struct {
	Title string
	Name  string
	Code  string
}
