package auth

import (
	"github.com/mrmelon54/mjwt"
	"time"
)

type RefreshTokenClaims struct {
	UserId uint64 `json:"uid"`
}

func (r RefreshTokenClaims) Valid() error { return nil }
func (r RefreshTokenClaims) Type() string { return "refresh-token" }

func CreateRefreshToken(p mjwt.Provider, sub, id string, userId uint64) (string, error) {
	return p.GenerateJwt(sub, id, time.Hour*24*7, RefreshTokenClaims{
		UserId: userId,
	})
}
