package flow

import (
	"github.com/mrmelon54/mjwt"
	"time"
)

type LoginFlowClaims struct {
	LoginId   uint64 `json:"lid"`
	NextState string `json:"nxs"`
}

func (l LoginFlowClaims) Valid() error { return nil }
func (l LoginFlowClaims) Type() string { return "login-flow" }

func CreateLoginFlowToken(p mjwt.Provider, sub, id, nextState string, loginId uint64, dur time.Duration) (string, error) {
	return p.GenerateJwt(sub, id, dur, LoginFlowClaims{
		LoginId:   loginId,
		NextState: nextState,
	})
}
