package flow

import (
	"github.com/mrmelon54/mjwt"
	"time"
)

type MfaFlowClaims struct {
	LoginId uint64 `json:"lid"`
}

func (m MfaFlowClaims) Valid() error { return nil }
func (m MfaFlowClaims) Type() string { return "mfa-flow" }

func CreateMfaFlowToken(p mjwt.Provider, sub, id string, loginId uint64, dur time.Duration) (string, error) {
	return p.GenerateJwt(sub, id, dur, MfaFlowClaims{
		LoginId: loginId,
	})
}
