package renewal

import (
	"code.mrmelon54.com/melon/summer/pkg/tables/renewal"
	"xorm.io/xorm"
)

type CustomHTTPProvider struct {
	db *xorm.Engine
}

func NewCustomHTTPProvider(db *xorm.Engine) *CustomHTTPProvider {
	return &CustomHTTPProvider{db}
}

func (w *CustomHTTPProvider) Present(domain, token, keyAuth string) error {
	c, err := w.db.Update(&renewal.AcmeContent{
		Domain:  domain,
		Key:     token,
		Content: keyAuth,
	}, renewal.AcmeContent{Domain: domain, Key: token})
	if err != nil {
		return err
	}
	if c == 0 {
		_, err = w.db.Insert(&renewal.AcmeContent{
			Domain:  domain,
			Key:     token,
			Content: keyAuth,
		})
	}
	return err
}

func (w *CustomHTTPProvider) CleanUp(domain, token, _ string) error {
	_, err := w.db.Delete(&renewal.AcmeContent{Domain: domain, Key: token})
	return err
}
