package renewal

import (
	"crypto/rsa"
	"crypto/x509"
	"encoding/pem"
)

type LetsEncryptAccount struct {
	Id         uint64 `xorm:"pk autoincr"`
	Email      string
	PrivateKey []byte
}

func (e *LetsEncryptAccount) SortOutDefaultValues() {
	if e.PrivateKey == nil {
		e.PrivateKey = make([]byte, 0)
	}
}

func (e *LetsEncryptAccount) GetKeyObject() (*rsa.PrivateKey, error) {
	letsEncryptPemBlock, _ := pem.Decode(e.PrivateKey)
	return x509.ParsePKCS1PrivateKey(letsEncryptPemBlock.Bytes)
}
